<template>
    <!-- <h1>aquiii</h1> -->
    <el-dialog
        :visible.sync="show"
        width="40%"
        center :show-close="false"
        :close-on-press-escape="false"
        v-on:update:visible="updateShowDialog"
        custom-class="dialog-orange">
        <el-form-item style="margin: 0" prop="checkedSignals">
            <el-checkbox-group 
                v-if="conditional" 
                v-model="editSignal" 
                @change="handleCheckedSignalsChange" 
                class="text-center" 
                style="margin-left: 3rem;">
                <el-checkbox  
                    v-for="signal in signals" 
                    :label="signal" 
                    :key="signal" style="width: 30%; margin: 0" class="text-start">
                    {{signal}}</el-checkbox>
            </el-checkbox-group>
            <el-checkbox-group 
                v-else 
                v-model="createdSignal" 
                @change="handleCheckedSignalsChange" 
                class="text-center" 
                style="margin-left: 3rem;">
                <el-checkbox  
                    v-for="signal in signals" 
                    :label="signal" 
                    :key="signal" style="width: 30%; margin: 0" class="text-start">
                    {{signal}}</el-checkbox>
            </el-checkbox-group>                
        </el-form-item>
        <div style="text-align: right; margin-top: 20px">
            <el-button @click="show = false" class="text-orange border-orange">CANCELAR</el-button>
            <el-button @click="show = false" type="primary">ACEPTAR</el-button>
        </div>
    </el-dialog>
</template>

<script>
export default {
    // name: modalSignals,
    props: {
        showDialog: Boolean,
        handleCheckedSignalsChange: Function,
        signals: Array,
        conditional: String,
        isEdit: Array,
        isCreated: Array,
        // closeModal: Function
    },
    data() {
        return {
            show: this.showDialog,
            editSignal: this.isEdit,
            createdSignal: this.isCreated
        }
    },
    methods: {
      updateShowDialog(isVisible) {
        if (isVisible) return false;
        this.$emit('update:showDialog', false )
      }
    },
    watch: {
        showDialog(val) {
            this.show = val
        },
        show(val) {
            this.$emit('isCloseModal', val)
        }
    },
    created() {
        // 
        this.show = this.showDialog
        this.editSignal = this.isEdit,
        this.createdSignal = this.isCreated
    }
}
</script>
